Bug 62832 - Traceback error while running anaconda -reconfig on Hampton beta 4
Traceback error while running anaconda -reconfig on Hampton beta 4
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
7.3
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Michael Fulbright
Brock Organ
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-04-05 17:56 EST by John A. Hull
Modified: 2007-04-18 12:41 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-04-05 23:56:49 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description John A. Hull 2002-04-05 17:56:27 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:0.9.9) Gecko/20020401

Description of problem:
A traceback error occurs while running anaconda --reconfig. The following
traceback occurs right after selecting the keyboard language type:

Traceceback (innermost last):
  File "/usr/sbin/anaconda", line 630, in ?
    intf.run(id, dispatch, configFileData)
  File "/usr/src/build/84820-i386/install//usr/lib/anaconda/text.py", line 406,
in run
    rc = apply(win, (self.screen, ) + args)
  File
"/usr/src/build/84820-i386/install//usr/lib/anaconda/textw/keyboard_text.py",
line 47, in __call__
    apply(xconfig.setKeyboard, kbd.getXKB())
AttributeError: 'None' object has no attribute 'setKeyboard'

>
/usr/src/build/84820-i386/install//usr/lib/anaconda/textw/keyboard_text.py(47)__call__()
-> apply(xconfig.setKeyboard, kbd.getXKB())

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install Hampton beta 4
2. run anaconda --reconfig
3.
	

Actual Results:  traceback error

Expected Results:  proceed through anaconda --reconfig amd make necessary
changes without error

Additional info:
Comment 1 Jeremy Katz 2002-04-05 23:56:44 EST
Noticed post-beta4 and fixed in CVS
Comment 2 Jay Turner 2002-04-08 21:23:03 EDT
Fix confirmed with anaconda-7.2.94-0.200204051620.

Note You need to log in before you can comment on or make changes to this bug.